Subject: Re: Current powerpc.git build failures

From: David Gibson <[email-masked]>
Date: Wed, 9 May 2007 11:57:54 +1000

On Wed, May 09, 2007 at 11:51:46AM +1000, David Gibson wrote:
> On Tue, May 08, 2007 at 06:18:29PM -0700, Jon Loeliger wrote:
> > > Looks like.  AFAICT, the generic nopud.h and nopmd.h headers expect
> > > page.h to be included before pgtable.h.  I think this patch should fix
> > > the problem, but I don't have a suitable board to test with.
> > > 
> > 
> > That would be me.  I'll give it a spin.
> 
> Duh, of course, I wasn't thinking at that point and realizing I could
> at least test the build was fixed.  Which I've now done; and found
> some other warnings caused by my patch.  Improved fix below.  Unless
> you report that it breaks something, I'll ask Paul to pull it.

Gah, sorry.  Really below, this time:

Fix missing printk() parameter in physmap_of.c MTD driver

Squashes a compiler warning, and provides more useful information in
the case messed up device tree information.

Signed-off-by: David Gibson <[email-masked]>

Index: working-2.6/drivers/mtd/maps/physmap_of.c
===================================================================
--- working-2.6.orig/drivers/mtd/maps/physmap_of.c	2007-05-07 12:57:07.000000000 +1000
+++ working-2.6/drivers/mtd/maps/physmap_of.c	2007-05-09 11:53:53.000000000 +1000
@@ -186,7 +186,7 @@ static int __devinit of_physmap_probe(st
 	else {
  		if (strcmp(of_probe, "ROM"))
 			dev_dbg(&dev->dev, "map_probe: don't know probe type "
-			"'%s', mapping as rom\n");
+			"'%s', mapping as rom\n", of_probe);
 		info->mtd = do_map_probe("mtd_rom", &info->map);
 	}
 	if (info->mtd == NULL) {

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson